import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { MatDialog } from "@angular/material/dialog";
import { QMSFileAttachment } from "./qms-file-upload-attachment.model";
export declare class QMSFileUploadMultipleSelectorDirective implements OnInit, OnChanges {
    ele: ElementRef;
    dialog: MatDialog;
    filesForInput: QMSFileAttachment[];
    filesForInputChange: EventEmitter<any>;
    acceptExtensions: string[];
    onFileUploaded: EventEmitter<any>;
    maxSize: number;
    invokeMyFunc(): void;
    constructor(ele: ElementRef, dialog: MatDialog);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    OnChanges(event: any): void;
}
